Subject: Re: [PATCH 2/3] parseopt: introduce OPT_RECURSE to specify shared options

From: Pierre Habouzit <[email-masked]>
Date: Mon, 05 Nov 2007 23:14:25 +0100

On Mon, Nov 05, 2007 at 09:48:19PM +0000, Junio C Hamano wrote:
> Johannes Schindelin <[email-masked]> writes:
> 
> > After kicking this around a bit more on IRC, we had another idea.  Instead 
> > of introducing OPT_RECURSE(), do something like OPT__QUIET(), only this 
> > time in diff.h:
> >
> > #define OPT__DIFF(opt) \
> > 	OPT_BOOLEAN('p', NULL, &opt.format_patch, "show a patch"), \
> > 	...
> >
> > Pierre said this feels a bit "80s", so I'd like to hear other people's 
> > opinions.
> >
> > Hmm?
> 
> As I am from "80s" ;-)

Hey grand'pa, how are your rheumatisms today :-P

> I like the simpler "macro" one much better.  There aren't many things
> that can go wrong in the approach.

Okay, I suppose we will end up using the big macros then. Though I had a
look at diff_opt_parse and setup_revisions, the move isn't for tomorrow.

  The current code is heavy (at best), and has some logic that parseopt
is not yet ready to deal with (mainly the --not flags).

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org